<?php
 // Lit un fichier, et le place dans une chaîne
 $NomFichier="donnees_binaires_entier_reel_caractere_chaine.data";
 // -- ouverture --
 $f1 = fopen($NomFichier, "rb");
 // -----------------------------------
 // lecture à partir du fichier binaire
 // -----------------------------------
 $chaine_octets = fread($f1, filesize($NomFichier));
 // -- décompactage des octets à partir de la  chaîne d'octets lue --
 $tab_donnees_binaires = unpack("ientier/freel/acaractere/a*chaine",$chaine_octets);
 // boucle d'extraction des donnée du tableau
 foreach ($tab_donnees_binaires as $indice => $donnee)
 {
   echo "$indice : $donnee\n";
 }
 // -- fermeture --
 fclose($f1);
?>
